POST api/NTContactTracing/SaveContactTracingInterview
Request Information
URI Parameters
None.
Body Parameters
ContactTracingInterviewDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ContactTracingId | integer |
None. |
|
| IsEmployeeReached | boolean |
None. |
|
| IsSymptoms | boolean |
None. |
|
| Note | string |
String length: inclusive between 0 and 300 |
|
| isCreateCase | boolean |
None. |
|
| CreatedUserName | string |
String length: inclusive between 0 and 61 |
|
| CaseNo | integer |
None. |
|
| Status | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ContactTracingId": 2,
"IsEmployeeReached": true,
"IsSymptoms": true,
"Note": "sample string 4",
"isCreateCase": true,
"CreatedUserName": "sample string 5",
"CaseNo": 6,
"Status": 1,
"ValidFlag": true,
"DateCreated": "2026-06-19T23:05:03.6830872-07:00",
"DateUpdated": "2026-06-19T23:05:03.6830872-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfContactTracingInterviewDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ContactTracingInterviewDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ContactTracingId": 2,
"IsEmployeeReached": true,
"IsSymptoms": true,
"Note": "sample string 4",
"isCreateCase": true,
"CreatedUserName": "sample string 5",
"CaseNo": 6,
"Status": 1,
"ValidFlag": true,
"DateCreated": "2026-06-19T23:05:03.6987773-07:00",
"DateUpdated": "2026-06-19T23:05:03.6987773-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
"totalCount": 3
}